diff --git a/src/main/modcall.c b/src/main/modcall.c
index 6947f43aff44..de625c98ee63 100644
--- a/src/main/modcall.c
+++ b/src/main/modcall.c
@@ -3220,7 +3220,7 @@ static bool pass2_callback(void *ctx, fr_cond_t *c)
 		 *
 		 *	@todo v3.1: allow anything anywhere.
 		 */
-		if (map->rhs->type != TMPL_TYPE_LITERAL) {
+		if ((map->rhs->type != TMPL_TYPE_LITERAL) || !map->rhs->len) {
 			if (!pass2_xlat_compile(map->ci, &map->lhs, false, NULL)) {
 				return false;
 			}
